Package org.springframework.cglib.transform

# Class ClassReaderGenerator

java.lang.Object
org.springframework.cglib.transform.ClassReaderGenerator

All Implemented Interfaces:
  `ClassGenerator`

public class ClassReaderGenerator extends Object implements ClassGenerator

## Constructor Summary

Constructors
Constructor
Description
`ClassReaderGenerator(ClassReader r, int flags)`
`ClassReaderGenerator(ClassReader r, Attribute[] attrs, int flags)`

## Method Summary

Modifier and Type
Method
Description
`void`
`generateClass(ClassVisitor v)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassReaderGenerator

public ClassReaderGenerator(ClassReader r, int flags)

### ClassReaderGenerator

public ClassReaderGenerator(ClassReader r, Attribute[] attrs, int flags)

## Method Details

### generateClass

public void generateClass(ClassVisitor v)

Specified by:
  `generateClass` in interface `ClassGenerator`